html {
	-webkit-font-smoothing: antialiased;
	-webkit-tap-highlight-color: transparent;
}

* {
	font-family: 'Raleway', sans-serif;
}

body {
	background-color: #581845;
}

html, body, #root, .App {
	height: 100%;
}

.App {
	min-height: 100%;
	display: flex;
	flex-direction: column;
}

.insertPane {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-around;
	align-items: center;
	align-content: space-between;
	z-index: 100;

	width: 100%;
	margin: 0;
	padding: 25px;
	box-sizing: border-box;
	color: #fff;
	background-color: #c70039; // 900c3f

	h1 {
		text-align: center;
		width: 100%;
		font-size: 30px;
		margin-bottom: 30px;
	}

	.inputWrapper {
		box-sizing: border-box;

		input {
			margin: 10px;
			padding: 10px 10px 5px 10px;
			line-height: 30px;
			font-size: 18px;
			border: 0;
			border-radius: 5px;
			text-indent: 10px;
			border-bottom: solid 5px transparent;
			transition: all ease-in-out 0.1s;
			min-width: 220px;

			&:hover, &:focus {
				border-color: #ffc300;
				outline: none !important;
			}

			&[type="submit"] {
				padding: 10px 20px 5px 20px;
				color: #eee;
				background: none;
				background-color: #581845;
				box-shadow: none;
				text-indent: 0 !important;
				font-weight: bold;
			}

			&[type="submit"]:hover {
				cursor: pointer;
			}

			&[type="submit"]:active {
				background-color: #9b2a79;
			}
		}
	}
}

.treeWrapper {
	// // Preferred for dynamic layout
	// flex: 1;
	// display: flex;
	// flex-direction: column;
	// justify-content: center;

	// Necessary styling to support safari...
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	box-sizing: border-box;
	overflow: hidden;
	z-index: 0;

	.linkBase, .nodeBase, .nodeNameBase, .nodeAttributesBase, .leafNodeBase {
		color: #fff;
		stroke: #fff;
	}

	.linkBase, .nodeBase, .leafNodeBase {
		stroke-width: 2px;
	}
}
